summaryrefslogtreecommitdiffstats
path: root/.local/bin/tools/rotdir
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-05-18 00:07:32 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-05-18 00:07:32 -0400
commit54920103c2843f5a3620effbccaceaee7f6885c1 (patch)
tree222aa8e75573364cd043382996f4798d94104f65 /.local/bin/tools/rotdir
parent18e001db07d7105ab4dc4f4f836ca0d3a516a791 (diff)
downloadeibhear-54920103c2843f5a3620effbccaceaee7f6885c1.tar.gz
eibhear-54920103c2843f5a3620effbccaceaee7f6885c1.tar.zst
eibhear-54920103c2843f5a3620effbccaceaee7f6885c1.zip
scripts moved to ~/.local/bin
Diffstat (limited to '.local/bin/tools/rotdir')
-rwxr-xr-x.local/bin/tools/rotdir4
1 files changed, 4 insertions, 0 deletions
diff --git a/.local/bin/tools/rotdir b/.local/bin/tools/rotdir
new file mode 100755
index 0000000..e7103db
--- /dev/null
+++ b/.local/bin/tools/rotdir
@@ -0,0 +1,4 @@
+#!/bin/sh
+[ -z "$1" ] && echo "usage: rotdir regex 2>&1" && exit 1
+base="$(basename $1)"
+ ls "$PWD" | awk "BEGIN { lines = \"\"; m = 0; } /^$base$/ { m = 1; } { if (!m) { if (lines) { lines = lines\"\n\"; } lines = lines\"\"\$0; } else { print \$0; } } END { print lines; }"